org.keycloak.models.entities

## Class IdentityProviderEntity

- java.lang.Object
- - org.keycloak.models.entities.IdentityProviderEntity

-     public class IdentityProviderEntity
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProviderEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `Map<String,String>` | `getConfig()`
    `String` | `getInternalId()`
    `String` | `getName()`
    `String` | `getProviderId()`
    `boolean` | `isAuthenticateByDefault()`
    `boolean` | `isEnabled()`
    `boolean` | `isStoreToken()`
    `boolean` | `isUpdateProfileFirstLogin()`
    `void` | `setAlias(String alias)`
    `void` | `setAuthenticateByDefault(boolean authenticateByDefault)`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setInternalId(String internalId)`
    `void` | `setName(String name)`
    `void` | `setProviderId(String providerId)`
    `void` | `setStoreToken(boolean storeToken)`
    `void` | `setUpdateProfileFirstLogin(boolean updateProfileFirstLogin)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityProviderEntity

          public IdentityProviderEntity()

  - ### Method Detail

    - #### getInternalId

          public String getInternalId()

    - #### setInternalId

          public void setInternalId(String internalId)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### isUpdateProfileFirstLogin

          public boolean isUpdateProfileFirstLogin()

    - #### setUpdateProfileFirstLogin

          public void setUpdateProfileFirstLogin(boolean updateProfileFirstLogin)

    - #### isAuthenticateByDefault

          public boolean isAuthenticateByDefault()

    - #### setAuthenticateByDefault

          public void setAuthenticateByDefault(boolean authenticateByDefault)

    - #### isStoreToken

          public boolean isStoreToken()

    - #### setStoreToken

          public void setStoreToken(boolean storeToken)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias(String alias)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

Copyright © 2015. All rights reserved.